-- /packages/intranet-rest-fs-openacs/sql/postgresql/intranet-rest-fs-openacs-create.sql
--
-- Copyright (c) 2018 ]project-open[
--
-- All rights reserved. Please check
-- http://www.project-open.com/license/ for details.
--
-- @author frank.bergmann@project-open.com

-----------------------------------------------------------
-- 

-- Install crypto extension in order to have sha1 available
create extension pgcrypto;


alter table fs_files add column sha1 text;




-----------------------------------------------------------
-- Plugin Components
--

-- List of Risks per project
SELECT im_component_plugin__new (
	null, 'im_component_plugin', now(), null, null, null,
	'Project HTML5 File-Storage',	-- plugin_name
	'intranet-rest-fs-openacs',	-- package_name
	'right',			-- location
	'/intranet/projects/view',	-- page_url
	null,				-- view_name
	300,				-- sort_order
	'im_rest_fs_component -object_id $project_id'	-- component_tcl
);

update im_component_plugins 
set title_tcl = 'lang::message::lookup "" intranet-rest-fs-openacs.Project_HTML5_File_Storage "Project HTML5 File-Storage"'
where plugin_name = 'Project HTML5 File-Storage';
